return: text
lang: plpgsql
src: |
  DECLARE	
  	result TEXT;
  BEGIN
  	
  				
  				-- UCD
  				INSERT INTO base.t_ucd(oid, code, texte, texte_court)
  				SELECT 0, chr(127) || '*', 'Non renseigné', 'N/R'
  				WHERE 0 NOT IN (SELECT oid FROM base.t_ucd);
  				-- LPP
  				INSERT INTO base.t_lpp(oid, code, texte, texte_court)
  				SELECT 0, chr(127) || '*', 'Non renseigné', 'N/R'
  				WHERE 0 NOT IN (SELECT oid FROM base.t_lpp);
  
  				-- Sites
  				INSERT INTO eco.t_sites(oid, code_original, code, texte, texte_court)
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'N/R'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_sites);
  				-- Comptes
  				INSERT INTO eco.t_compte(oid, code_original, code, texte, texte_court)
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'N/R'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_compte);
  				-- Classification ATC
  				INSERT INTO eco.t_classification_atc(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*********', 'Non renseignée', 'Non renseignée'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_classification_atc);
  				
  				-- Familles articles
  				INSERT INTO eco.t_familles_articles(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseignée', 'Non renseignée'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_familles_articles);
  				
  				-- Sous Familles articles
  				INSERT INTO eco.t_sous_familles_articles(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseignée', 'Non renseignée'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_sous_familles_articles);
  				
  				-- Types articles
  				INSERT INTO eco.t_types_articles(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_types_articles);
  				
  				-- Catégories articles
  				INSERT INTO eco.t_categories_articles(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_categories_articles);
  				
  				-- Sous Catégories articles
  				INSERT INTO eco.t_sous_categories_articles(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_sous_categories_articles);
  				
  				-- Référence article
  				INSERT INTO eco.t_article_reference_cacic(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_article_reference_cacic);
  				
  				-- Lieux
  				INSERT INTO eco.t_lieux(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_lieux);
  				
  				-- Articles
  				INSERT INTO eco.t_articles(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_articles);
  				
  				-- unités
  				INSERT INTO eco.t_unites(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseignée', 'Non renseignée'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_unites);
  			
  				-- Types de fournisseur
  				INSERT INTO eco.t_types_fournisseurs(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_types_fournisseurs);
  				
  				-- Fournisseurs
  				INSERT INTO eco.t_fournisseurs(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_fournisseurs);
  				
  				-- Gestionnaires
  				INSERT INTO eco.t_gestionnaires(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_gestionnaires);
  				
  				-- Référence fournisseur cacic
  				INSERT INTO eco.t_fournisseur_reference_cacic(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_fournisseur_reference_cacic);
  				
  				-- Référence fournisseur cti
  				INSERT INTO eco.t_fournisseur_reference_cti(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_fournisseur_reference_cti);
  				
  				
  				-- unites fonctionnelles
  				INSERT INTO eco.t_unites_fonctionnelles(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseignée', 'Non renseignée'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_unites_fonctionnelles);
  
  				-- Types de mouvement
  				INSERT INTO eco.t_types_mouvements(oid, code_original, code, texte, texte_court) 
  				SELECT 0, '', chr(127) || '*', 'Non renseigné', 'Non renseigné'
  				WHERE 0 NOT IN (SELECT oid FROM eco.t_types_mouvements);
  				
  				
  				
  		
  	RETURN 'OK';
  END;